TFTOPL(1)

NAME
tftopl - convert a TeX font metric (tfm) file to property list (pl) format

SYNOPSIS
tftopl [options] tfm_file[.tfm] [pl_file[.pl]]

DESCRIPTION
The tftopl program translates a (binary) TeX font metric file to a (plain text) property list file. Then you can view or edit the contents of the tfm file. It also serves as a tfm-file validating program, i.e., if no error messages are given, the input file is correct.

The pl_file is extended with .pl if necessary. If pl_file is not given, standard output is used. Likewise, tfm_file is extended with .tfm if it lacks a suffix.

OPTIONS
See tex(1) for details of command-line parsing.

-charcode-format=format
    The argument format specifies how character codes are output in the pl file. By default (the historical behavior), ASCII letters and digits are output using the "C" code (i.e., as themselves), and other characters are output in octal; unless the font's coding scheme starts with "TeX math sy" or "TeX math ex", in which case all character codes are output in octal.

    If format is ascii, all character codes that correspond to graphic characters, besides the left and right parentheses, are output in ASCII.

    Finally, if format is octal, all character codes are output in octal. (This option is the same as in vftovp.)

-verbose
    By default, the program operates silently. With this option, some reports are printed on stdout.

The standard -help and -version options are also supported.

ENVIRONMENT
The program looks for tfm_file using the environment variables TFMFONTS and TEXFONTS, in that order. If neither are set, it uses the system default.

SEE ALSO
pltotf(1),
Donald E. Knuth, TeXware.

Font utility topic on CTAN: https://ctan.org/topic/font-util
Package page on CTAN: https://ctan.org/pkg/tftopl
Section in the Web2c manual (with an example and summary of the pl format): https://tug.org/texinfohtml/web2c.html#tftopl-invocation
Typeset source code, including the tfm file format description: https://ctan.org/pkg/knuth-pdf

AUTHORS
Donald E. Knuth wrote the program. It was published as part of the TeXware technical report from Stanford. Howard Trickey and Pavel Curtis originally ported it to Unix.

Public discussion list and bug reports: https://lists.tug.org/tex-k